<%@ Page Language="C#" AutoEventWireup="true" CodeFile="leavingcertificates.aspx.cs" Inherits="module_leavingcertificates" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Leaving Certificates</title>
    <style>
  table,
  th,
  td {
    border: 1px solid black;
    border-collapse: collapse;
  }

  .padding {
    padding-left: 10px;
  }

  .font {
    font-size: 20px;
  }
</style>

<style>
  .container {
    display: flex;
    align-items: center;
    padding: 15px;
  }

  .logo img {
    max-width: 100px;
    /* Adjust the width as needed */
    height: auto;
  }

  .text {
    flex-grow: 1;
    padding-left: 10px;
    /* Adjust the spacing between the logo and text */
  }

  .align {
    text-align: center;
  }

  .ol {
    padding-left: 12px !important;
  }
</style>

<style>
  .uid-container {
    display: inline-flex;
    /* Use "inline-block" if you want the divs to stack horizontally but without any additional flex properties */
    align-items: center;
    /* Optional: This centers the content vertically within the container */
  }

  .uid-item {
    height: 20px;
    width: 20px;
    border: 1px solid black;
  }

  .uid-text {
    display: inline;
    margin-left: 120px;
    font-size: large;
    /* Optional: Add some spacing between the text and the div elements */
  }
</style>
    <script type="text/javascript" src="../assets/js/jquery.min.js"> </script>
    <script type="text/javascript">
        $(document).ready(function () {
            var leaveid = "";
            leaveid = GetParameterValues('ID');
            $.ajax({
                type: "POST",
                url: "leavingcertificates.aspx/GetData",
                data: "{certids :'" + leaveid + "'}",
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                success: function (data) {
                    if (data.d != "") {
                        data = JSON.parse(data.d);
                        var fullname = data[0].title + "." + data[0].fname + " " + data[0].mname + " " + data[0].lname;
                        if (data[0].title == "Ku." || data[0].title == "Miss.") {
                            $("#lbltitle").html("Her"); $("#lbltitle1").html("her"); $("#lbltitle2").html("her"); $("#lbltitles").html("She");
                            $("#lblrelation").html("Daughter");
                        }
                        else if (data[0].title == "Mr.") {
                            $("#lbltitle").html("His"); $("#lbltitle1").html("his"); $("#lbltitle2").html("his"); $("#lbltitles").html("He");
                            $("#lblrelation").html("Son");
                        }
                        $("#recptnos").html(data[0].receptnos);
                        $("#certimes").html(data[0].certtimes);
                     //   $("#aadharnos").html(data[0].adharcard);
                        var aadharnos = data[0].adharcard;
                        var add2 = aadharnos.substring(0, 1);
                        $("#lbladdhar1").html(add2);
                        var add3 = aadharnos.substring(1, 2);
                        $("#lbladdhar2").html(add3);
                        var add4 = aadharnos.substring(2, 3);
                        $("#lbladdhar3").html(add4);
                        var add5 = aadharnos.substring(3, 4);
                        $("#lbladdhar4").html(add5);
                        var add6 = aadharnos.substring(4, 5);
                        $("#lbladdhar5").html(add6);
                        var add7 = aadharnos.substring(5, 6);
                        $("#lbladdhar6").html(add7);
                        var add8 = aadharnos.substring(6, 7);
                        $("#lbladdhar7").html(add8);
                        var add9 = aadharnos.substring(7, 8);
                        $("#lbladdhar8").html(add9);
                        var add10 = aadharnos.substring(8, 9);
                        $("#lbladdhar9").html(add10);
                        var add11 = aadharnos.substring(9, 10);
                        $("#lbladdhar10").html(add11);
                        var add12 = aadharnos.substring(10, 11);
                        $("#lbladdhar11").html(add12);
                        var add13 = aadharnos.substring(11, 12);
                        $("#lbladdhar12").html(add13);
                        $("#lblmothernm").html(data[0].mothernme);
                        $("#lblnmpupil").html(fullname);
                        $("#labelfathernm").html(data[0].fathernm);
                        var clsid = data[0].clsname + "   (" + data[0].divsnm + ")";
                        $("#lblcalss").html(clsid);
                        var date2 = new Date(data[0].fromdate);
                        var date8 = new Date(data[0].todate);
                        var date2year = date2.getFullYear();
                        var date8year = date8.getFullYear();
                        var dtyearstr = date2year + "-" + date8year;
                        $("#lblyrsid1").html(date2year);
                        $("#lblyrsid2").html(date8year);
                        $("#lblissudt").html(data[0].regdate);

                        $("#lblcaste").html(data[0].feesname + "(" + data[0].caste + ")");
                        $("#lblnationality").html(data[0].nationality);
                        $("#lblplacebirth").html(data[0].birthplace);

                        $("#lbldob").html(data[0].dobdts);
                        var birthyear = new Date(data[0].dob);
                        var monname = birthyear.toLocaleString('default', { month: 'long' });
                        var yrsplit = birthyear.getFullYear();
                        var daysplits = birthyear.getDay();
                        var dobstring = daysplits + "-" + monname + "-" + yrsplit;

                        $("#lbldobwords").html(dobstring);
                        $("#lblcollegenm").html(data[0].lastcolleges);
                        $("#lbldateofadm").html(data[0].regdate);
                        $("#lblprogress").html(data[0].progress);
                        $("#lblconduuct").html(data[0].conduct);
                        $("#lblleavingdate").html(data[0].leavedt);
                        $("#lblstudy").html(data[0].currentclass);
                        $("#lblsince").html(data[0].currentyear);
                        $("#lblreasonleaving").html(data[0].reasonleaving);
                        $("#lblremarks").html(data[0].remark);
                        $("#lbldate").html(data[0].recptdate);
                    }
                },
                error: function (error) {
                    console.log(JSON.stringify(error));
                }
            });
            window.print();
        });
        function GetParameterValues(param) {
            var url = window.location.href.slice(window.location.href.indexOf('?') + 1).split('&');
            for (var i = 0; i < url.length; i++) {
                var urlparam = url[i].split('=');
                if (urlparam[0] == param) {
                    return urlparam[1];
                }
            }
        }
    </script>
</head>
<body style="border: 1px solid black;">
    <form id="form1" runat="server">
     <div style="padding-left: 2%; padding-right: 2%;">
    <p align="center" style="margin-top: 2px; margin-bottom: 2px; font-style: italic;"> Shri Tuljabhavani Sevabhavi Shaikshanik Va Samajik
      Shikshan Sanstha Kothari, Dist Chandrapur.</p>
    <p align="center"
      style="font-size: 30px; margin-top: 2px; margin-bottom: 2px; font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;">
      <b>HI-TECH COLLEGE OF
        PHARMACY</b></p>
    <div class="container" align="center" style="padding-top: 0px; padding-bottom: 0px; padding-left: 0px;">
      <div class="logo">
        <img src="../assets/images/favicon-32x32.png" alt="Logo">
      </div>
      <div class="text">
        <p style="text-align: center; margin-top: 0px; margin-bottom: 0px; margin-right: 55px;"> <span
            style="font-size: 15px;">Padoli
            Phata,
            Nagpur Highway, Morwa, Post-Tadali,
            CHANDRAPUR - 442 406</span>
          <br /> <span style="font-size: 18px; margin-right: 20px;"> <b>APPENDIX - "FOUR"</b> </span>
          <br /> <span style="font-size:30px"> <b style="margin-right: 30px;">LEAVING CERTIFICATE</b></span> <br> <span
            style="font-size: 15px; margin-right: 30px;">(
            VIDE
            CHAPTER II, SECTION III, RULE - 17 )
          </span>
        </p>
      </div>
    </div>

    <div style="display: flex; justify-content: space-between;">
      <p>Sr No : <label id="recptnos"></label></p>
      <p> <b><label id="certimes"></label></b> </p>
      <p>Discharge No : <label id="disnos"></label></p>
    </div>

    <div class="uid-container" align="center">
      <div class="uid-text">U.I.D. (Aadhar No.):</div> &nbsp;&nbsp;&nbsp;&nbsp;
      <div class="uid-item"><label id="lbladdhar1"></label></div>
      <div class="uid-item"><label id="lbladdhar2"></label></div>
      <div class="uid-item"><label id="lbladdhar3"></label></div>
      <div class="uid-item"><label id="lbladdhar4"></label></div>&nbsp;&nbsp;&nbsp;&nbsp;

      <div class="uid-item"><label id="lbladdhar5"></label></div>
      <div class="uid-item"><label id="lbladdhar6"></label></div>
      <div class="uid-item"><label id="lbladdhar7"></label></div>
      <div class="uid-item"><label id="lbladdhar8"></label></div>&nbsp;&nbsp;&nbsp;&nbsp;

      <div class="uid-item"><label id="lbladdhar9"></label></div>
      <div class="uid-item"><label id="lbladdhar10"></label></div>
      <div class="uid-item"><label id="lbladdhar11"></label></div>
      <div class="uid-item"><label id="lbladdhar12"></label></div>


    </div> 

    <div>
      <ol class="ol">
        <li> Ref.No. <label id="lblrefnos"></label></li><br />
        <li> Name of Pupil in full : &nbsp;&nbsp; <label id="lblnmpupil"></label></li><br />
        <li> Mother's Name : &nbsp;&nbsp; <label id="lblmothernm"></label></li><br />
        <li> Race & Caste (with sub Caste) : &nbsp;&nbsp; <label id="lblcaste"></label> </li><br />
        <li> Nationality : <label id="lblnationality"></label></li><br />
        <li> Place of Birth :&nbsp;&nbsp; <label id="lblplacebirth"></label></li><br />
        <li> Date of Birth ( In Figure ) :&nbsp;&nbsp;<label id="lbldob"></label></li><br />
        ( in word ) <label id="lbldobwords"></label> <br /> <br />
        <li> Last College Attended :<label id="lblcollegenm"></label></li><br>
        <li> Date of Admission :&nbsp;&nbsp;<label id="lbldateofadm"></label></li><br>
        <li> Progress <label id="lblprogress"></label></li><br>
        <li> Conduct <label id="lblconduuct"></label></li><br>
        <li> Date of Leaving College <label id="lblleavingdate"></label></li><br />
        <li> Standard in which Studying :&nbsp;&nbsp;<label id="lblstudy"></label></li><br />
        and since when <label id="lblsince"></label> <br><br>
        <li> Reason of Leaving College <label id="lblreasonleaving"></label></li><br />
        <li> Remarks : <label id="lblremarks"></label></li>

        <p align="center"> <b>Certified that the above information is in accordance with the College Register</b> </p>


      </ol>
    </div> 


    <div style="display: flex; justify-content: space-between;">

      <p> <b>Date :&nbsp;<label id="lbldate"></label></b> </p>
      <p> <b>Clerk</b> </p>
      <p> <b>Principal</b></p>

    </div>










  </div>
  <hr />
  <p style="padding-left: 3%; padding-right: 3%;"> N.B. - No change in any entry in this certificate shall be made
    except by the authority issuing it and infringment
    in this requirment is liable to involve the imposition of penalty such as that as restication.</p>
    </form>
</body>
</html>
